/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Flecs", "index.html", [
    [ "Documentation", "md_docs_2Docs.html", [
      [ "What is an Entity Component System?", "index.html#autotoc_md0", null ],
      [ "Try it out!", "index.html#autotoc_md1", null ],
      [ "Documentation", "index.html#autotoc_md2", null ],
      [ "Performance", "index.html#autotoc_md3", null ],
      [ "Show me the code!", "index.html#autotoc_md4", null ],
      [ "Projects using Flecs", "index.html#autotoc_md5", [
        [ "Tempest Rising", "index.html#autotoc_md6", null ],
        [ "Territory Control", "index.html#autotoc_md7", null ],
        [ "The Forge", "index.html#autotoc_md8", null ],
        [ "Sol Survivor", "index.html#autotoc_md9", null ],
        [ "Equilibrium Engine", "index.html#autotoc_md10", null ],
        [ "Gravitas", "index.html#autotoc_md11", null ],
        [ "After Sun", "index.html#autotoc_md12", null ],
        [ "Tower defense (open source demo)", "index.html#autotoc_md13", null ],
        [ "Procedural City (open source demo)", "index.html#autotoc_md14", null ]
      ] ],
      [ "Resources", "index.html#autotoc_md15", [
        [ "Resources provided by the community :heart:", "index.html#autotoc_md16", null ],
        [ "Flecs around the web", "index.html#autotoc_md17", null ]
      ] ],
      [ "Flecs Hub", "index.html#autotoc_md18", null ],
      [ "Language bindings", "index.html#autotoc_md19", null ],
      [ "Getting Started", "md_docs_2Docs.html#autotoc_md21", null ],
      [ "Manuals", "md_docs_2Docs.html#autotoc_md22", null ],
      [ "API reference", "md_docs_2Docs.html#autotoc_md23", null ],
      [ "Examples", "md_docs_2Docs.html#autotoc_md24", null ],
      [ "Demos", "md_docs_2Docs.html#autotoc_md25", null ],
      [ "Articles", "md_docs_2Docs.html#autotoc_md26", null ]
    ] ],
    [ "Flecs Quickstart", "md_docs_2Quickstart.html", [
      [ "Building Flecs", "md_docs_2Quickstart.html#autotoc_md28", [
        [ "Dynamic linking", "md_docs_2Quickstart.html#autotoc_md29", null ],
        [ "Building with CMake", "md_docs_2Quickstart.html#autotoc_md30", null ],
        [ "Building with Bake", "md_docs_2Quickstart.html#autotoc_md31", null ],
        [ "Running tests", "md_docs_2Quickstart.html#autotoc_md32", null ],
        [ "Emscripten", "md_docs_2Quickstart.html#autotoc_md33", null ],
        [ "Addons", "md_docs_2Quickstart.html#autotoc_md34", null ]
      ] ],
      [ "Concepts", "md_docs_2Quickstart.html#autotoc_md35", [
        [ "World", "md_docs_2Quickstart.html#autotoc_md36", null ],
        [ "Entity", "md_docs_2Quickstart.html#autotoc_md37", null ],
        [ "Id", "md_docs_2Quickstart.html#autotoc_md38", null ],
        [ "Component", "md_docs_2Quickstart.html#autotoc_md39", null ],
        [ "Tag", "md_docs_2Quickstart.html#autotoc_md40", null ],
        [ "Pair", "md_docs_2Quickstart.html#autotoc_md41", null ],
        [ "Hierarchies", "md_docs_2Quickstart.html#autotoc_md42", null ],
        [ "Instancing", "md_docs_2Quickstart.html#autotoc_md43", null ],
        [ "Type", "md_docs_2Quickstart.html#autotoc_md44", null ],
        [ "Singleton", "md_docs_2Quickstart.html#autotoc_md45", null ],
        [ "Filter", "md_docs_2Quickstart.html#autotoc_md46", null ],
        [ "Query", "md_docs_2Quickstart.html#autotoc_md47", null ],
        [ "System", "md_docs_2Quickstart.html#autotoc_md48", null ],
        [ "Pipeline", "md_docs_2Quickstart.html#autotoc_md49", null ],
        [ "Observer", "md_docs_2Quickstart.html#autotoc_md50", null ],
        [ "Module", "md_docs_2Quickstart.html#autotoc_md51", null ]
      ] ]
    ] ],
    [ "FAQ", "md_docs_2FAQ.html", [
      [ "What is an ECS?", "md_docs_2FAQ.html#autotoc_md53", null ],
      [ "Why is Flecs written in C?", "md_docs_2FAQ.html#autotoc_md54", null ],
      [ "Can I use Flecs with C++14 or higher?", "md_docs_2FAQ.html#autotoc_md55", null ],
      [ "Can I use std::vector or other types inside components?", "md_docs_2FAQ.html#autotoc_md56", null ],
      [ "What is an archetype?", "md_docs_2FAQ.html#autotoc_md57", null ],
      [ "How does Flecs compare with EnTT?", "md_docs_2FAQ.html#autotoc_md58", null ],
      [ "Is Flecs used for commercial projects?", "md_docs_2FAQ.html#autotoc_md59", null ],
      [ "Why are my queries so slow?", "md_docs_2FAQ.html#autotoc_md60", null ],
      [ "Can Flecs be compiled to web assembly?", "md_docs_2FAQ.html#autotoc_md61", null ],
      [ "Why am I getting an “use of undeclared identifier 'FLECS_ID …’” compiler error?", "md_docs_2FAQ.html#autotoc_md62", null ],
      [ "Why are my entity ids so large?", "md_docs_2FAQ.html#autotoc_md63", null ],
      [ "What is the difference between add & set? Why do both exist?", "md_docs_2FAQ.html#autotoc_md64", null ],
      [ "Can Flecs serialize components?", "md_docs_2FAQ.html#autotoc_md65", null ],
      [ "Why is Flecs so large?", "md_docs_2FAQ.html#autotoc_md66", null ],
      [ "Why does the explorer not work?", "md_docs_2FAQ.html#autotoc_md67", null ],
      [ "Does the explorer collect data from my application?", "md_docs_2FAQ.html#autotoc_md68", null ],
      [ "Why can't I see component values in the explorer?", "md_docs_2FAQ.html#autotoc_md69", null ],
      [ "How do I detect which entities have changed?", "md_docs_2FAQ.html#autotoc_md70", null ],
      [ "Are relationships just a component with an entity handle?", "md_docs_2FAQ.html#autotoc_md71", null ],
      [ "Can I create systems outside of the main function?", "md_docs_2FAQ.html#autotoc_md72", null ],
      [ "Can I use my own scheduler implementation?", "md_docs_2FAQ.html#autotoc_md73", null ],
      [ "Can I use Flecs without using systems?", "md_docs_2FAQ.html#autotoc_md74", null ],
      [ "Why does the lookup function not find my entity?", "md_docs_2FAQ.html#autotoc_md75", null ],
      [ "Can I add or remove components from within a system?", "md_docs_2FAQ.html#autotoc_md76", null ]
    ] ],
    [ "Designing with Flecs", "md_docs_2DesignWithFlecs.html", [
      [ "Entities", "md_docs_2DesignWithFlecs.html#autotoc_md78", [
        [ "Entity Initialization", "md_docs_2DesignWithFlecs.html#autotoc_md79", null ],
        [ "Entity Lifecycle", "md_docs_2DesignWithFlecs.html#autotoc_md80", null ],
        [ "Entity Names", "md_docs_2DesignWithFlecs.html#autotoc_md81", null ]
      ] ],
      [ "Components", "md_docs_2DesignWithFlecs.html#autotoc_md82", [
        [ "Component Size", "md_docs_2DesignWithFlecs.html#autotoc_md83", null ],
        [ "Complex component data", "md_docs_2DesignWithFlecs.html#autotoc_md84", null ]
      ] ],
      [ "Queries", "md_docs_2DesignWithFlecs.html#autotoc_md85", [
        [ "Use the right query", "md_docs_2DesignWithFlecs.html#autotoc_md86", null ],
        [ "Use in/inout/out annotations", "md_docs_2DesignWithFlecs.html#autotoc_md87", null ],
        [ "Annotations", "md_docs_2DesignWithFlecs.html#autotoc_md88", null ]
      ] ],
      [ "Systems", "md_docs_2DesignWithFlecs.html#autotoc_md89", [
        [ "System Scope", "md_docs_2DesignWithFlecs.html#autotoc_md90", null ],
        [ "System Scheduling", "md_docs_2DesignWithFlecs.html#autotoc_md91", null ]
      ] ],
      [ "Phases and Pipelines", "md_docs_2DesignWithFlecs.html#autotoc_md92", [
        [ "Selecting a Phase", "md_docs_2DesignWithFlecs.html#autotoc_md93", null ],
        [ "OnLoad", "md_docs_2DesignWithFlecs.html#autotoc_md94", null ],
        [ "PostLoad", "md_docs_2DesignWithFlecs.html#autotoc_md95", null ],
        [ "PreUpdate", "md_docs_2DesignWithFlecs.html#autotoc_md96", null ],
        [ "OnUpdate", "md_docs_2DesignWithFlecs.html#autotoc_md97", null ],
        [ "OnValidate", "md_docs_2DesignWithFlecs.html#autotoc_md98", null ],
        [ "PostUpdate", "md_docs_2DesignWithFlecs.html#autotoc_md99", null ],
        [ "PreStore", "md_docs_2DesignWithFlecs.html#autotoc_md100", null ],
        [ "OnStore", "md_docs_2DesignWithFlecs.html#autotoc_md101", null ],
        [ "Custom phases and pipelines", "md_docs_2DesignWithFlecs.html#autotoc_md102", null ]
      ] ],
      [ "Modules", "md_docs_2DesignWithFlecs.html#autotoc_md103", [
        [ "Defining Modules", "md_docs_2DesignWithFlecs.html#autotoc_md104", null ],
        [ "Module Dependencies and Ordering", "md_docs_2DesignWithFlecs.html#autotoc_md105", null ],
        [ "Modules and Feature Swapping", "md_docs_2DesignWithFlecs.html#autotoc_md106", null ],
        [ "Module Overhead", "md_docs_2DesignWithFlecs.html#autotoc_md107", null ]
      ] ],
      [ "Relationships", "md_docs_2DesignWithFlecs.html#autotoc_md108", null ]
    ] ],
    [ "Flecs Script Tutorial", "md_docs_2FlecsScriptTutorial.html", [
      [ "Getting Started with the Explorer", "md_docs_2FlecsScriptTutorial.html#autotoc_md110", null ],
      [ "The Basics", "md_docs_2FlecsScriptTutorial.html#autotoc_md111", null ],
      [ "Adding Components", "md_docs_2FlecsScriptTutorial.html#autotoc_md112", null ],
      [ "Drawing Shapes", "md_docs_2FlecsScriptTutorial.html#autotoc_md113", null ],
      [ "Drawing a Fence", "md_docs_2FlecsScriptTutorial.html#autotoc_md114", null ],
      [ "Prefabs", "md_docs_2FlecsScriptTutorial.html#autotoc_md115", null ],
      [ "Assemblies", "md_docs_2FlecsScriptTutorial.html#autotoc_md116", null ],
      [ "Grids", "md_docs_2FlecsScriptTutorial.html#autotoc_md117", null ],
      [ "Nested Assemblies", "md_docs_2FlecsScriptTutorial.html#autotoc_md118", null ]
    ] ],
    [ "Manual", "md_docs_2Manual.html", [
      [ "Introduction", "md_docs_2Manual.html#autotoc_md120", null ],
      [ "Design Goals", "md_docs_2Manual.html#autotoc_md121", [
        [ "1. Performance", "md_docs_2Manual.html#autotoc_md122", null ],
        [ "2. Portability", "md_docs_2Manual.html#autotoc_md123", null ],
        [ "3. Reusability", "md_docs_2Manual.html#autotoc_md124", null ],
        [ "4. Usability", "md_docs_2Manual.html#autotoc_md125", null ],
        [ "5. Extensibility", "md_docs_2Manual.html#autotoc_md126", null ],
        [ "6. Have fun!", "md_docs_2Manual.html#autotoc_md127", null ]
      ] ],
      [ "Diagrams", "md_docs_2Manual.html#autotoc_md128", [
        [ "High level architecture", "md_docs_2Manual.html#autotoc_md129", null ],
        [ "Component add flow", "md_docs_2Manual.html#autotoc_md130", null ],
        [ "Component remove flow", "md_docs_2Manual.html#autotoc_md131", null ],
        [ "Staging flow", "md_docs_2Manual.html#autotoc_md132", null ]
      ] ],
      [ "API design", "md_docs_2Manual.html#autotoc_md133", [
        [ "Naming conventions", "md_docs_2Manual.html#autotoc_md134", null ],
        [ "Idempotence", "md_docs_2Manual.html#autotoc_md135", null ],
        [ "Error handling", "md_docs_2Manual.html#autotoc_md136", null ],
        [ "Memory ownership", "md_docs_2Manual.html#autotoc_md137", null ],
        [ "Entity names", "md_docs_2Manual.html#autotoc_md138", null ],
        [ "Macros", "md_docs_2Manual.html#autotoc_md139", null ]
      ] ],
      [ "Entities", "md_docs_2Manual.html#autotoc_md140", [
        [ "Id recycling", "md_docs_2Manual.html#autotoc_md141", null ],
        [ "Generations", "md_docs_2Manual.html#autotoc_md142", null ],
        [ "Manual id generation", "md_docs_2Manual.html#autotoc_md143", null ],
        [ "Id ranges", "md_docs_2Manual.html#autotoc_md144", null ]
      ] ],
      [ "Types", "md_docs_2Manual.html#autotoc_md145", [
        [ "Basic usage", "md_docs_2Manual.html#autotoc_md146", null ],
        [ "Advanced usage", "md_docs_2Manual.html#autotoc_md147", null ]
      ] ],
      [ "Components", "md_docs_2Manual.html#autotoc_md148", [
        [ "Component handles", "md_docs_2Manual.html#autotoc_md149", [
          [ "Global component handles", "md_docs_2Manual.html#autotoc_md150", null ],
          [ "Local component handles", "md_docs_2Manual.html#autotoc_md151", null ]
        ] ],
        [ "Component disabling", "md_docs_2Manual.html#autotoc_md152", [
          [ "Limitations", "md_docs_2Manual.html#autotoc_md153", null ]
        ] ]
      ] ],
      [ "Tagging", "md_docs_2Manual.html#autotoc_md154", [
        [ "Tag handles", "md_docs_2Manual.html#autotoc_md155", null ]
      ] ],
      [ "Observers", "md_docs_2Manual.html#autotoc_md156", null ],
      [ "Modules", "md_docs_2Manual.html#autotoc_md157", [
        [ "Modules in C++", "md_docs_2Manual.html#autotoc_md158", null ]
      ] ],
      [ "Hierarchies", "md_docs_2Manual.html#autotoc_md159", [
        [ "Iteration", "md_docs_2Manual.html#autotoc_md160", null ],
        [ "Hierarchical queries", "md_docs_2Manual.html#autotoc_md161", null ],
        [ "Path identifiers", "md_docs_2Manual.html#autotoc_md162", null ],
        [ "Scoping", "md_docs_2Manual.html#autotoc_md163", null ],
        [ "Paths and signatures", "md_docs_2Manual.html#autotoc_md164", null ]
      ] ],
      [ "Inheritance", "md_docs_2Manual.html#autotoc_md165", [
        [ "Overriding", "md_docs_2Manual.html#autotoc_md166", null ],
        [ "Automatic overriding", "md_docs_2Manual.html#autotoc_md167", null ],
        [ "Inheritance hierarchies", "md_docs_2Manual.html#autotoc_md168", null ],
        [ "Prefabs", "md_docs_2Manual.html#autotoc_md169", null ]
      ] ],
      [ "Deferred operations", "md_docs_2Manual.html#autotoc_md170", null ]
    ] ],
    [ "Queries", "md_docs_2Queries.html", [
      [ "Highlights", "md_docs_2Queries.html#autotoc_md172", null ],
      [ "Definitions", "md_docs_2Queries.html#autotoc_md173", null ],
      [ "Examples", "md_docs_2Queries.html#autotoc_md174", null ],
      [ "Types", "md_docs_2Queries.html#autotoc_md175", [
        [ "Filters", "md_docs_2Queries.html#autotoc_md176", null ],
        [ "Cached Queries", "md_docs_2Queries.html#autotoc_md177", null ],
        [ "Rules", "md_docs_2Queries.html#autotoc_md178", null ]
      ] ],
      [ "Creation", "md_docs_2Queries.html#autotoc_md179", [
        [ "Query Descriptors (C)", "md_docs_2Queries.html#autotoc_md180", null ],
        [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md181", null ],
        [ "Query DSL", "md_docs_2Queries.html#autotoc_md182", null ]
      ] ],
      [ "Iteration", "md_docs_2Queries.html#autotoc_md183", [
        [ "Iterators (C)", "md_docs_2Queries.html#autotoc_md184", null ],
        [ "Each (C++)", "md_docs_2Queries.html#autotoc_md185", null ],
        [ "Iter (C++)", "md_docs_2Queries.html#autotoc_md186", null ],
        [ "Iteration safety", "md_docs_2Queries.html#autotoc_md187", null ]
      ] ],
      [ "Reference", "md_docs_2Queries.html#autotoc_md188", [
        [ "Components", "md_docs_2Queries.html#autotoc_md189", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md190", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md191", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md192", null ]
        ] ],
        [ "Wildcards", "md_docs_2Queries.html#autotoc_md193", null ],
        [ "Pairs", "md_docs_2Queries.html#autotoc_md194", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md195", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md196", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md197", null ]
        ] ],
        [ "Access modifiers", "md_docs_2Queries.html#autotoc_md198", [
          [ "Query Descriptors (C)", "md_docs_2Queries.html#autotoc_md199", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md200", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md201", null ]
        ] ],
        [ "Operator Overview", "md_docs_2Queries.html#autotoc_md202", null ],
        [ "And Operator", "md_docs_2Queries.html#autotoc_md203", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md204", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md205", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md206", null ]
        ] ],
        [ "Or Operator", "md_docs_2Queries.html#autotoc_md207", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md208", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md209", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md210", null ]
        ] ],
        [ "Not Operator", "md_docs_2Queries.html#autotoc_md211", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md212", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md213", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md214", null ]
        ] ],
        [ "Optional Operator", "md_docs_2Queries.html#autotoc_md215", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md216", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md217", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md218", null ]
        ] ],
        [ "Equality operators", "md_docs_2Queries.html#autotoc_md219", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md220", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md221", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md222", null ]
        ] ],
        [ "AndFrom, OrFrom, NotFrom Operators", "md_docs_2Queries.html#autotoc_md223", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md224", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md225", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md226", null ]
        ] ],
        [ "Query scopes", "md_docs_2Queries.html#autotoc_md227", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md228", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md229", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md230", null ]
        ] ],
        [ "Source", "md_docs_2Queries.html#autotoc_md231", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md232", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md233", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md234", null ]
        ] ],
        [ "Singletons", "md_docs_2Queries.html#autotoc_md235", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md236", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md237", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md238", null ]
        ] ],
        [ "Relationship Traversal", "md_docs_2Queries.html#autotoc_md239", [
          [ "Traversal Flags", "md_docs_2Queries.html#autotoc_md240", null ],
          [ "Iteration", "md_docs_2Queries.html#autotoc_md241", null ],
          [ "Limitations", "md_docs_2Queries.html#autotoc_md242", null ],
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md243", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md244", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md245", null ]
        ] ],
        [ "Instancing", "md_docs_2Queries.html#autotoc_md246", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md247", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md248", null ]
        ] ],
        [ "Variables", "md_docs_2Queries.html#autotoc_md249", [
          [ "Setting Variables", "md_docs_2Queries.html#autotoc_md250", null ],
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md251", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md252", null ]
        ] ],
        [ "Change Detection", "md_docs_2Queries.html#autotoc_md253", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md254", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md255", null ]
        ] ],
        [ "Sorting", "md_docs_2Queries.html#autotoc_md256", [
          [ "Sorting Algorithm", "md_docs_2Queries.html#autotoc_md257", null ],
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md258", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md259", null ]
        ] ],
        [ "Grouping", "md_docs_2Queries.html#autotoc_md260", [
          [ "Group Iterators", "md_docs_2Queries.html#autotoc_md261", null ],
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md262", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md263", null ]
        ] ],
        [ "Component Inheritance", "md_docs_2Queries.html#autotoc_md264", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md265", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md266", null ]
        ] ],
        [ "Transitive Relationships", "md_docs_2Queries.html#autotoc_md267", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md268", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md269", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md270", null ]
        ] ],
        [ "Reflexive Relationships", "md_docs_2Queries.html#autotoc_md271", [
          [ "Query Descriptor (C)", "md_docs_2Queries.html#autotoc_md272", null ],
          [ "Query Builder (C++)", "md_docs_2Queries.html#autotoc_md273", null ],
          [ "Query DSL", "md_docs_2Queries.html#autotoc_md274", null ]
        ] ]
      ] ],
      [ "Performance", "md_docs_2Queries.html#autotoc_md275", [
        [ "Filter", "md_docs_2Queries.html#autotoc_md276", null ],
        [ "Cached Queries", "md_docs_2Queries.html#autotoc_md277", null ]
      ] ]
    ] ],
    [ "Systems", "md_docs_2Systems.html", [
      [ "System Iteration", "md_docs_2Systems.html#autotoc_md279", null ],
      [ "Using delta_time", "md_docs_2Systems.html#autotoc_md280", null ],
      [ "Tasks", "md_docs_2Systems.html#autotoc_md281", null ],
      [ "Pipelines", "md_docs_2Systems.html#autotoc_md282", [
        [ "Builtin Pipeline", "md_docs_2Systems.html#autotoc_md283", [
          [ "Builtin Pipeline Query", "md_docs_2Systems.html#autotoc_md284", null ]
        ] ],
        [ "Custom pipeline", "md_docs_2Systems.html#autotoc_md285", [
          [ "Pipeline switching performance", "md_docs_2Systems.html#autotoc_md286", null ]
        ] ],
        [ "Disabling systems", "md_docs_2Systems.html#autotoc_md287", null ]
      ] ],
      [ "Staging", "md_docs_2Systems.html#autotoc_md288", [
        [ "Sync points", "md_docs_2Systems.html#autotoc_md289", null ],
        [ "No readonly systems", "md_docs_2Systems.html#autotoc_md290", null ],
        [ "Threading", "md_docs_2Systems.html#autotoc_md291", null ],
        [ "Threading with Async Tasks", "md_docs_2Systems.html#autotoc_md292", null ]
      ] ],
      [ "Timers", "md_docs_2Systems.html#autotoc_md293", [
        [ "Interval", "md_docs_2Systems.html#autotoc_md294", null ],
        [ "Rate", "md_docs_2Systems.html#autotoc_md295", null ],
        [ "Tick source", "md_docs_2Systems.html#autotoc_md296", null ],
        [ "Nested tick sources", "md_docs_2Systems.html#autotoc_md297", null ]
      ] ]
    ] ],
    [ "Relationships", "md_docs_2Relationships.html", [
      [ "Definitions", "md_docs_2Relationships.html#autotoc_md299", null ],
      [ "Examples", "md_docs_2Relationships.html#autotoc_md300", null ],
      [ "Introduction", "md_docs_2Relationships.html#autotoc_md301", null ],
      [ "Relationship queries", "md_docs_2Relationships.html#autotoc_md302", [
        [ "Test if entity has a relationship pair", "md_docs_2Relationships.html#autotoc_md303", null ],
        [ "Test if entity has a relationship wildcard", "md_docs_2Relationships.html#autotoc_md304", null ],
        [ "Get parent for entity", "md_docs_2Relationships.html#autotoc_md305", null ],
        [ "Find first target of a relationship for entity", "md_docs_2Relationships.html#autotoc_md306", null ],
        [ "Find all targets of a relationship for entity", "md_docs_2Relationships.html#autotoc_md307", null ],
        [ "Find target of a relationship with component", "md_docs_2Relationships.html#autotoc_md308", null ],
        [ "Iterate all pairs for entity", "md_docs_2Relationships.html#autotoc_md309", null ],
        [ "Find all entities with a pair", "md_docs_2Relationships.html#autotoc_md310", null ],
        [ "Find all entities with a pair wildcard", "md_docs_2Relationships.html#autotoc_md311", null ],
        [ "Iterate all children for a parent", "md_docs_2Relationships.html#autotoc_md312", null ]
      ] ],
      [ "Relationship components", "md_docs_2Relationships.html#autotoc_md313", [
        [ "Using relationships to add components multiple times", "md_docs_2Relationships.html#autotoc_md314", null ]
      ] ],
      [ "Relationship wildcards", "md_docs_2Relationships.html#autotoc_md315", null ],
      [ "Inspecting relationships", "md_docs_2Relationships.html#autotoc_md316", null ],
      [ "Builtin relationships", "md_docs_2Relationships.html#autotoc_md317", [
        [ "The IsA relationship", "md_docs_2Relationships.html#autotoc_md318", [
          [ "Component sharing", "md_docs_2Relationships.html#autotoc_md319", null ]
        ] ],
        [ "The ChildOf relationship", "md_docs_2Relationships.html#autotoc_md320", [
          [ "Namespacing", "md_docs_2Relationships.html#autotoc_md321", null ],
          [ "Scoping", "md_docs_2Relationships.html#autotoc_md322", null ]
        ] ]
      ] ],
      [ "Cleanup properties", "md_docs_2Relationships.html#autotoc_md323", [
        [ "Examples", "md_docs_2Relationships.html#autotoc_md324", null ],
        [ "Cleanup order", "md_docs_2Relationships.html#autotoc_md325", [
          [ "Cleanup order during world teardown", "md_docs_2Relationships.html#autotoc_md326", null ],
          [ "World teardown sequence", "md_docs_2Relationships.html#autotoc_md327", null ]
        ] ]
      ] ],
      [ "Relationship properties", "md_docs_2Relationships.html#autotoc_md328", [
        [ "Tag property", "md_docs_2Relationships.html#autotoc_md329", null ],
        [ "Final property", "md_docs_2Relationships.html#autotoc_md330", null ],
        [ "DontInherit property", "md_docs_2Relationships.html#autotoc_md331", null ],
        [ "AlwaysOverride property", "md_docs_2Relationships.html#autotoc_md332", null ],
        [ "Transitive property", "md_docs_2Relationships.html#autotoc_md333", null ],
        [ "Reflexive property", "md_docs_2Relationships.html#autotoc_md334", null ],
        [ "Acyclic property", "md_docs_2Relationships.html#autotoc_md335", null ],
        [ "Traversable property", "md_docs_2Relationships.html#autotoc_md336", null ],
        [ "Exclusive property", "md_docs_2Relationships.html#autotoc_md337", null ],
        [ "Union property", "md_docs_2Relationships.html#autotoc_md338", null ],
        [ "Symmetric property", "md_docs_2Relationships.html#autotoc_md339", null ],
        [ "With property", "md_docs_2Relationships.html#autotoc_md340", null ],
        [ "OneOf property", "md_docs_2Relationships.html#autotoc_md341", null ]
      ] ],
      [ "Relationship performance", "md_docs_2Relationships.html#autotoc_md342", [
        [ "Introduction", "md_docs_2Relationships.html#autotoc_md343", null ],
        [ "Storing relationships", "md_docs_2Relationships.html#autotoc_md344", null ],
        [ "Id ranges", "md_docs_2Relationships.html#autotoc_md345", null ],
        [ "Fragmentation", "md_docs_2Relationships.html#autotoc_md346", null ],
        [ "Relationship flattening", "md_docs_2Relationships.html#autotoc_md347", null ],
        [ "Table Creation", "md_docs_2Relationships.html#autotoc_md348", null ],
        [ "Indexing", "md_docs_2Relationships.html#autotoc_md349", null ],
        [ "Wildcard Queries", "md_docs_2Relationships.html#autotoc_md350", null ]
      ] ]
    ] ],
    [ "REST API", "md_docs_2RestApi.html", [
      [ "Enable the REST API", "md_docs_2RestApi.html#autotoc_md352", null ],
      [ "Explorer", "md_docs_2RestApi.html#autotoc_md353", [
        [ "Queries", "md_docs_2RestApi.html#autotoc_md354", null ]
      ] ],
      [ "Endpoints", "md_docs_2RestApi.html#autotoc_md355", [
        [ "entity", "md_docs_2RestApi.html#autotoc_md356", [
          [ "path", "md_docs_2RestApi.html#autotoc_md357", null ],
          [ "label", "md_docs_2RestApi.html#autotoc_md358", null ],
          [ "brief", "md_docs_2RestApi.html#autotoc_md359", null ],
          [ "link", "md_docs_2RestApi.html#autotoc_md360", null ],
          [ "id_labels", "md_docs_2RestApi.html#autotoc_md361", null ],
          [ "base", "md_docs_2RestApi.html#autotoc_md362", null ],
          [ "values", "md_docs_2RestApi.html#autotoc_md363", null ],
          [ "private", "md_docs_2RestApi.html#autotoc_md364", null ],
          [ "type_info", "md_docs_2RestApi.html#autotoc_md365", null ],
          [ "alerts", "md_docs_2RestApi.html#autotoc_md366", null ],
          [ "Example", "md_docs_2RestApi.html#autotoc_md367", null ]
        ] ],
        [ "enable", "md_docs_2RestApi.html#autotoc_md368", null ],
        [ "disable", "md_docs_2RestApi.html#autotoc_md369", null ],
        [ "delete", "md_docs_2RestApi.html#autotoc_md370", null ],
        [ "set", "md_docs_2RestApi.html#autotoc_md371", null ],
        [ "query", "md_docs_2RestApi.html#autotoc_md372", [
          [ "name", "md_docs_2RestApi.html#autotoc_md373", null ],
          [ "offset", "md_docs_2RestApi.html#autotoc_md374", null ],
          [ "limit", "md_docs_2RestApi.html#autotoc_md375", null ],
          [ "term_ids", "md_docs_2RestApi.html#autotoc_md376", null ],
          [ "term_labels", "md_docs_2RestApi.html#autotoc_md377", null ],
          [ "ids", "md_docs_2RestApi.html#autotoc_md378", null ],
          [ "id_labels", "md_docs_2RestApi.html#autotoc_md379", null ],
          [ "sources", "md_docs_2RestApi.html#autotoc_md380", null ],
          [ "variables", "md_docs_2RestApi.html#autotoc_md381", null ],
          [ "is_set", "md_docs_2RestApi.html#autotoc_md382", null ],
          [ "values", "md_docs_2RestApi.html#autotoc_md383", null ],
          [ "entities", "md_docs_2RestApi.html#autotoc_md384", null ],
          [ "entity_labels", "md_docs_2RestApi.html#autotoc_md385", null ],
          [ "entity_ids", "md_docs_2RestApi.html#autotoc_md386", null ],
          [ "variable_labels", "md_docs_2RestApi.html#autotoc_md387", null ],
          [ "variable_ids", "md_docs_2RestApi.html#autotoc_md388", null ],
          [ "duration", "md_docs_2RestApi.html#autotoc_md389", null ],
          [ "type_info", "md_docs_2RestApi.html#autotoc_md390", null ],
          [ "Example:", "md_docs_2RestApi.html#autotoc_md391", null ]
        ] ],
        [ "stats", "md_docs_2RestApi.html#autotoc_md392", null ]
      ] ]
    ] ],
    [ "JSON format", "md_docs_2JsonFormat.html", [
      [ "Value kinds", "md_docs_2JsonFormat.html#autotoc_md394", [
        [ "Name", "md_docs_2JsonFormat.html#autotoc_md395", null ],
        [ "Path", "md_docs_2JsonFormat.html#autotoc_md396", null ],
        [ "Label", "md_docs_2JsonFormat.html#autotoc_md397", null ],
        [ "Id", "md_docs_2JsonFormat.html#autotoc_md398", null ],
        [ "Id**", "md_docs_2JsonFormat.html#autotoc_md399", null ],
        [ "Value", "md_docs_2JsonFormat.html#autotoc_md400", null ],
        [ "Type**", "md_docs_2JsonFormat.html#autotoc_md401", null ],
        [ "Entity", "md_docs_2JsonFormat.html#autotoc_md402", [
          [ "\"path", "md_docs_2JsonFormat.html#autotoc_md403", null ],
          [ "\"label", "md_docs_2JsonFormat.html#autotoc_md404", null ],
          [ "\"brief", "md_docs_2JsonFormat.html#autotoc_md405", null ],
          [ "\"link", "md_docs_2JsonFormat.html#autotoc_md406", null ],
          [ "\"is_a", "md_docs_2JsonFormat.html#autotoc_md407", null ],
          [ "\"ids", "md_docs_2JsonFormat.html#autotoc_md408", null ],
          [ "\"id_labels", "md_docs_2JsonFormat.html#autotoc_md409", null ],
          [ "\"hidden", "md_docs_2JsonFormat.html#autotoc_md410", null ],
          [ "\"values", "md_docs_2JsonFormat.html#autotoc_md411", null ],
          [ "\"type_info", "md_docs_2JsonFormat.html#autotoc_md412", null ],
          [ "Example", "md_docs_2JsonFormat.html#autotoc_md413", null ]
        ] ],
        [ "Result", "md_docs_2JsonFormat.html#autotoc_md414", [
          [ "parent", "md_docs_2JsonFormat.html#autotoc_md415", null ],
          [ "entities", "md_docs_2JsonFormat.html#autotoc_md416", null ],
          [ "entity_labels", "md_docs_2JsonFormat.html#autotoc_md417", null ],
          [ "entity_ids", "md_docs_2JsonFormat.html#autotoc_md418", null ],
          [ "sources", "md_docs_2JsonFormat.html#autotoc_md419", null ],
          [ "variables", "md_docs_2JsonFormat.html#autotoc_md420", null ],
          [ "variable_labels", "md_docs_2JsonFormat.html#autotoc_md421", null ],
          [ "variable_ids", "md_docs_2JsonFormat.html#autotoc_md422", null ],
          [ "ids", "md_docs_2JsonFormat.html#autotoc_md423", null ],
          [ "is_set", "md_docs_2JsonFormat.html#autotoc_md424", null ],
          [ "values", "md_docs_2JsonFormat.html#autotoc_md425", null ]
        ] ],
        [ "Iterator", "md_docs_2JsonFormat.html#autotoc_md426", [
          [ "\"ids", "md_docs_2JsonFormat.html#autotoc_md427", null ],
          [ "\"variables", "md_docs_2JsonFormat.html#autotoc_md428", null ],
          [ "\"results", "md_docs_2JsonFormat.html#autotoc_md429", null ],
          [ "\"eval_duration", "md_docs_2JsonFormat.html#autotoc_md430", null ],
          [ "\"type_info", "md_docs_2JsonFormat.html#autotoc_md431", null ],
          [ "Example", "md_docs_2JsonFormat.html#autotoc_md432", null ]
        ] ]
      ] ],
      [ "Entity serializer", "md_docs_2JsonFormat.html#autotoc_md433", [
        [ "Serializer options", "md_docs_2JsonFormat.html#autotoc_md434", [
          [ "serialize_path", "md_docs_2JsonFormat.html#autotoc_md435", null ],
          [ "serialize_label", "md_docs_2JsonFormat.html#autotoc_md436", null ],
          [ "serialize_brief", "md_docs_2JsonFormat.html#autotoc_md437", null ],
          [ "serialize_link", "md_docs_2JsonFormat.html#autotoc_md438", null ],
          [ "serialize_id_labels", "md_docs_2JsonFormat.html#autotoc_md439", null ],
          [ "serialize_base", "md_docs_2JsonFormat.html#autotoc_md440", null ],
          [ "serialize_private", "md_docs_2JsonFormat.html#autotoc_md441", null ],
          [ "serialize_hidden", "md_docs_2JsonFormat.html#autotoc_md442", null ],
          [ "serialize_values", "md_docs_2JsonFormat.html#autotoc_md443", null ],
          [ "serialize_type_info", "md_docs_2JsonFormat.html#autotoc_md444", null ]
        ] ]
      ] ],
      [ "Iterator serializer", "md_docs_2JsonFormat.html#autotoc_md445", [
        [ "Serializer options", "md_docs_2JsonFormat.html#autotoc_md446", [
          [ "serialize_term_ids", "md_docs_2JsonFormat.html#autotoc_md447", null ],
          [ "serialize_ids", "md_docs_2JsonFormat.html#autotoc_md448", null ],
          [ "serialize_sources", "md_docs_2JsonFormat.html#autotoc_md449", null ],
          [ "serialize_variables", "md_docs_2JsonFormat.html#autotoc_md450", null ],
          [ "serialize_is_set", "md_docs_2JsonFormat.html#autotoc_md451", null ],
          [ "serialize_values", "md_docs_2JsonFormat.html#autotoc_md452", null ],
          [ "serialize_entities", "md_docs_2JsonFormat.html#autotoc_md453", null ],
          [ "serialize_entity_labels", "md_docs_2JsonFormat.html#autotoc_md454", null ],
          [ "serialize_variable_labels", "md_docs_2JsonFormat.html#autotoc_md455", null ],
          [ "measure_eval_duration", "md_docs_2JsonFormat.html#autotoc_md456", null ],
          [ "serialize_type_info", "md_docs_2JsonFormat.html#autotoc_md457", null ]
        ] ]
      ] ]
    ] ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", null ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"alerts_2builder__i_8hpp.html",
"group__builtin__tags.html#ga0a789d98676862c9138e4912f67eec11",
"group__c__addons__module.html#gac227fc2a6522a2f6d07ddd2db385ffda",
"group__cpp__addons__monitor.html#ga8d218044dd168e4fbbd09f3f7352c439",
"group__iterator.html#ga7e94a24a91d9e7d4b9406847b8b108b0",
"index.html#autotoc_md8",
"md_docs_2Queries.html#autotoc_md204",
"mixins_2pipeline_2builder_8hpp.html",
"structecs__bulk__desc__t.html#acee158944f135e21f45c59a269a49570",
"structecs__query__desc__t.html#adbed9acb83436c95255d609d573dcb66",
"structflecs_1_1___1_1function__traits__impl_3_01ReturnType_07ClassType_1_1_5_08_07Args_8_8_8_08_01volatile_01_6_6_01_4.html",
"structflecs_1_1event__builder__base.html#aa5f9357ddef455c0c3d9f74eb7b6b723",
"structflecs_1_1units_1_1data_1_1GigaBytes.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';